Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rop
Interface ResultList

All Superinterfaces:
  com.solarmetric.util.Closeable, Collection, List, Serializable

All Known Subinterfaces:
  CachingList

public interface ResultList
extends List, Serializable, com.solarmetric.util.Closeable

List interface that represents a potentially lazy ResultList instantiation.

A ResultList will typically be instantiated from a factory, and will use a ResultObjectProvider for obtaining individual object data representations.

Depending on the support for scrolling inputs, the list that is returned may use lazy instantiation of the objects, and thus allow very large result sets to be obtained and manipulated.

Note that wrapping a ResultList in another Collection will always instantiate the entire set of elements contained in the ResultList. This may not always be desireable, since the list may be very large.

Method Summary
`void` | `close()` Close the list.
`boolean` | `isClosed()` Returns true if the list has been closed.

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Method Detail

### close

    public void close()

  Close the list.
  Specified by:
    `close` in interface `com.solarmetric.util.Closeable`

### isClosed

    public boolean isClosed()

  Returns true if the list has been closed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.